Subject: Re: [X2Go-Dev] Bug#1218: Improve User Experience when connecting to a session that is supposed to use agent-cached credentials or a keyfile

From: Ulrich Sibiller <[email-masked]>
Date: Mon, 25 Sep 2017 12:50:43 +0200

I suggest to grey out the password field and change the "ok" button to
"reconnect"

On Mon, Sep 25, 2017 at 11:46 AM, Stefan Baur <[email-masked]> wrote:
> package: x2goclient
> priority: wishlist
>
> Whe an X2Go session is set to use agent-cached credentials or a keyfile,
> clicking on the session tile will automatically start a connection
> (unless a keyfile is used and it is password-protected - in that case, a
> small pop-up is shown that asks for the keyfile's password).
>
> If the connection is suspended - be it by a user-initiated suspend
> command or due to loss of connection - X2GoClient shows the same
> login/password dialog that is shown on initial connect for a session
> that is not set up to use agent-cached credentials or a keyfile.
>
> This is confusing to the user - as simply clicking "OK" without using
> the password field is enough to reconnect. There's no need to show an
> editable user name field and a password entry field.
>
> Suggested change:
> When the client detects a connection loss/suspend, it should return to
> its default "select a tile" screen, if the session was using
> agent-cached credentials or a keyfile.
> If logging in with the agent-cached credentials/keyfile does not work, a
> popup similar to the one asking for the keyfile password should appear,
> only with a different visual design and textual description, so users
> have a chance to understand they are being prompted for the login
> password, rather than the keyfile password.
>
> --
> BAUR-ITCS UG (haftungsbeschränkt)
> Geschäftsführer: Stefan Baur
> Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
> Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
>
>
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev